NTPTIME(8)

NAME
ntptime - read kernel time variables

SYNOPSIS
ntptime [-chr] [-e est_error] [-f frequency] [-m max_error] [-o offset] [-s status] [-t time_constant]

DESCRIPTION
The ntptime utility is useful only with special kernels described in the " A Kernel Model for Precision Timekeeping " page (available as part of the HTML documentation provided in /usr/share/doc/ntp). It reads and displays time-related kernel variables using the gettime() and adjtime(2) system calls if available. A similar display can be obtained using the ntpdc(8) program's kerninfo command.

The following options are available:

-c  Display the execution time of ntptime itself.

-e est_error
    Specify estimated error, in microseconds.

-f frequency
    Specify frequency offset, in parts per million.

-h  Display help information.

-l  Specify the leap bits as a code from 0 to 3.

-m max_error
    Specify max possible errors, in microseconds.

-o offset
    Specify clock offset, in microseconds.

-r  Display Unix and NTP times in raw format.

-s status

-t time_constant
    Specify time constant, an integer in the range 0-4.

SEE ALSO
adjtime(2), ntpdc(8)